Section

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.fenalco.entities
Class Section

    java.lang.Object
      com.fenalco.entities.Section

    public class Section

extends java.lang.Object

Esta clase representa una seccíon de la página de inicio del sistema.

Author:
  Juan Ernesto Peña Kaltekis

Field Summary
`private java.lang.String` | `content` Contenido de la sección
`private java.lang.String` | `email` Email de la persona responsable de esta sección
`private int` | `id` id de la sección en la base de datos
`private java.lang.String` | `image` URL de la imagen que está asociada a esta sección
`private java.lang.String` | `name` Nombre de la sección

Constructor Summary
`Section()` Constructor por defecto de la clase
`Section(int id)` Constructor de la clase

Method Summary
`boolean` | `delete(Transaction transaction)` Operación para eliminar la sección de la base de datos
`java.lang.String` | `getContent()` Getter for property content.
`java.lang.String` | `getEmail()` Getter for property email.
`int` | `getId()` Getter for property id.
`java.lang.String` | `getImage()` Getter for property image.
`java.lang.String` | `getName()` Getter for property name.
`boolean` | `loadData(int id)` Operación para guardar el objeto de base de datos
`boolean` | `saveData(Transaction transaction)` Operación para guardar el objeto de base de datos
`void` | `setContent(java.lang.String content)` Setter for property content.
`void` | `setEmail(java.lang.String email)` Setter for property email.
`void` | `setId(int id)` Setter for property id.
`void` | `setImage(java.lang.String image)` Setter for property image.
`void` | `setName(java.lang.String name)` Setter for property name.
`boolean` | `update(Transaction transaction)` Operación para actualizar la sección en la base de datos

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### id

    private int id

  id de la sección en la base de datos

### name

    private java.lang.String name

  Nombre de la sección

### content

    private java.lang.String content

  Contenido de la sección

### image

    private java.lang.String image

  URL de la imagen que está asociada a esta sección

### email

    private java.lang.String email

  Email de la persona responsable de esta sección

Constructor Detail

### Section

    public Section()

  Constructor por defecto de la clase

### Section

    public Section(int id)

  Constructor de la clase

  Parameters:
    `id` - del sector

Method Detail

### loadData

    public boolean loadData(int id)

  Operación para guardar el objeto de base de datos

  Returns:
    booleano quer indica el éxito de la operación

### saveData

    public boolean saveData(Transaction transaction)

  Operación para guardar el objeto de base de datos

  Returns:
    booleano quer indica el éxito de la operación

### update

    public boolean update(Transaction transaction)

  Operación para actualizar la sección en la base de datos

  Returns:
    booleano que indica el éxito de la operación

### delete

    public boolean delete(Transaction transaction)

  Operación para eliminar la sección de la base de datos

  Returns:
    booleano que indica el éxito de la operación

### getId

    public int getId()

  Getter for property id.

  Returns:
    Value of property id.

### setId

    public void setId(int id)

  Setter for property id.

  Parameters:
    `id` - New value of property id.

### getName

    public java.lang.String getName()

  Getter for property name.

  Returns:
    Value of property name.

### setName

    public void setName(java.lang.String name)

  Setter for property name.

  Parameters:
    `name` - New value of property name.

### getContent

    public java.lang.String getContent()

  Getter for property content.

  Returns:
    Value of property content.

### setContent

    public void setContent(java.lang.String content)

  Setter for property content.

  Parameters:
    `content` - New value of property content.

### getEmail

    public java.lang.String getEmail()

  Getter for property email.

  Returns:
    Value of property email.

### setEmail

    public void setEmail(java.lang.String email)

  Setter for property email.

  Parameters:
    `email` - New value of property email.

### getImage

    public java.lang.String getImage()

  Getter for property image.

  Returns:
    Value of property image.

### setImage

    public void setImage(java.lang.String image)

  Setter for property image.

  Parameters:
    `image` - New value of property image.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD